io.vertx.rxjava.grpc.common

## Class GrpcMessageDecoder<T>

- java.lang.Object
- - io.vertx.rxjava.grpc.common.GrpcMessageDecoder<T>

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class GrpcMessageDecoder<T>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcMessageDecoder>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`
    `static GrpcMessageDecoder<Buffer>` | `GZIP`
    `static GrpcMessageDecoder<Buffer>` | `IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcMessageDecoder(GrpcMessageDecoder delegate)`
    `GrpcMessageDecoder(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `decode(GrpcMessage msg)`
    `boolean` | `equals(Object o)`
    `GrpcMessageDecoder` | `getDelegate()`
    `int` | `hashCode()`
    `static <T> GrpcMessageDecoder<T>` | `newInstance(GrpcMessageDecoder arg)`
    `static <T> GrpcMessageDecoder<T>` | `newInstance(GrpcMessageDecoder arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `String` | `toString()`
    `static <T> GrpcMessageDecoder<T>` | `unmarshaller(io.grpc.MethodDescriptor.Marshaller<T> desc)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcMessageDecoder> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

    - #### IDENTITY

          public static final GrpcMessageDecoder<Buffer> IDENTITY

    - #### GZIP

          public static final GrpcMessageDecoder<Buffer> GZIP

  - ### Constructor Detail

    - #### GrpcMessageDecoder

          public GrpcMessageDecoder(GrpcMessageDecoder delegate)

    - #### GrpcMessageDecoder

          public GrpcMessageDecoder(Object delegate,
                                    io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GrpcMessageDecoder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### decode

          public T decode(GrpcMessage msg)

    - #### unmarshaller

          public static <T> GrpcMessageDecoder<T> unmarshaller(io.grpc.MethodDescriptor.Marshaller<T> desc)

    - #### newInstance

          public static <T> GrpcMessageDecoder<T> newInstance(GrpcMessageDecoder arg)

    - #### newInstance

          public static <T> GrpcMessageDecoder<T> newInstance(GrpcMessageDecoder arg,
                                                              io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2025 Eclipse. All rights reserved.